Bug 1452570 - There is HTTP 404 error info when convert guest to glance by virt-v2v
Summary: There is HTTP 404 error info when convert guest to glance by virt-v2v
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.3
Hardware: x86_64
OS: Unspecified
urgent
medium
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1374405
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-19 08:43 UTC by Libor Miksik
Modified: 2020-06-11 13:51 UTC (History)
13 users (show)

Fixed In Version: libguestfs-1.32.7-3.el7_3.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1374405
Environment:
Last Closed: 2017-06-28 17:00:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1609 normal SHIPPED_LIVE libguestfs bug fix update 2017-06-28 20:56:49 UTC

Description Libor Miksik 2017-05-19 08:43:44 UTC
This bug has been copied from bug #1374405 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 3 Richard W.M. Jones 2017-05-19 08:48:51 UTC
Build in progress:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=13237600

Comment 5 mxie@redhat.com 2017-05-23 02:45:27 UTC
Verify the bug with below builds:
virt-v2v-1.32.7-3.el7_3.3.x86_64
libguestfs-1.32.7-3.el7_3.3.x86_64
libvirt-2.0.0-10.el7_3.9.x86_64
qemu-kvm-1.5.3-126.el7_3.6.x86_64
qemu-kvm-rhev-2.6.0-28.el7_3.9
libguestfs-winsupport-7.2-1.el7
virtio-win-1.9.0-3.el7.noarch
kernel-3.10.0-514.21.1.el7.x86_64

Steps:
Scenario1: virt-v2v conversion server is installed with qemu-kvm-1.5.3-126.el7_3.6.x86_64


1.1.1 Convert a linux guest which has multiple disks from xen server to glance by virt-v2v
# virt-v2v -ic xen+ssh://root@10.xx.xx.xx Auto-xen-rhel7.3-case13050 -o glance -of qcow2
[   0.0] Opening the source -i libvirt -ic xen+ssh://root@10.xx.xx.xx Auto-xen-rhel7.3-case13050
[   0.4] Creating an overlay to protect the source from being modified
[   2.1] Initializing the target -o glance
[   4.0] Opening the overlay
[  21.6] Inspecting the overlay
[  34.0] Checking for sufficient free disk space in the guest
[  34.0] Estimating space required on target for each disk
[  34.0] Converting Red Hat Enterprise Linux Server 7.3 (Maipo) to run on KVM
virt-v2v: This guest has virtio drivers installed.
[ 117.5] Mapping filesystem data to avoid copying unused and blank areas
[ 117.9] Closing the overlay
[ 118.0] Checking if the guest needs BIOS or UEFI to boot
[ 118.0] Assigning disks to buses
[ 118.0] Copying disk 1/4 to /var/tmp/glance.5lT6cQ/sda (qcow2)
    (100.00/100%)
[ 494.9] Copying disk 2/4 to /var/tmp/glance.5lT6cQ/sdb (qcow2)
    (100.00/100%)
[ 554.0] Copying disk 3/4 to /var/tmp/glance.5lT6cQ/sdc (qcow2)
    (100.00/100%)
[ 616.2] Copying disk 4/4 to /var/tmp/glance.5lT6cQ/sdd (qcow2)
    (100.00/100%)
[ 677.2] Creating output metadata
+------------------+--------------------------------------+
| Property         | Value                                |
+------------------+--------------------------------------+
| architecture     | x86_64                               |
| checksum         | e2dd6d71db364dfe16972c2326514c79     |
| container_format | bare                                 |
| created_at       | 2017-05-22T07:20:28Z                 |
| disk_format      | qcow2                                |
| hw_disk_bus      | virtio                               |
| hw_vif_model     | virtio                               |
| hypervisor_type  | kvm                                  |
| id               | 78c796f0-d267-4c7c-bee6-476877763121 |
| min_disk         | 0                                    |
| min_ram          | 1024                                 |
| name             | Auto-xen-rhel7.3-case13050           |
| os_distro        | rhel                                 |
| os_type          | linux                                |
| os_version       | 7.3                                  |
| owner            | 8295398c2db845d6ab8987f28a1f8657     |
| protected        | False                                |
| size             | 3715432448                           |
| status           | active                               |
| tags             | []                                   |
| updated_at       | 2017-05-22T07:21:14Z                 |
| virtual_size     | None                                 |
| visibility       | private                              |
| vm_mode          | hvm                                  |
+------------------+--------------------------------------+
+------------------+--------------------------------------+
| Property         | Value                                |
+------------------+--------------------------------------+
| architecture     | x86_64                               |
| checksum         | 201938b0126f0290ab5b2402ad961502     |
| container_format | bare                                 |
| created_at       | 2017-05-22T07:21:17Z                 |
| disk_format      | qcow2                                |
| hw_disk_bus      | virtio                               |
| hw_vif_model     | virtio                               |
| hypervisor_type  | kvm                                  |
| id               | 304cbf13-14fc-428c-986e-66cdfd753a72 |
| min_disk         | 0                                    |
| min_ram          | 1024                                 |
| name             | Auto-xen-rhel7.3-case13050-disk2     |
| os_distro        | rhel                                 |
| os_type          | linux                                |
| os_version       | 7.3                                  |
| owner            | 8295398c2db845d6ab8987f28a1f8657     |
| protected        | False                                |
| size             | 393216                               |
| status           | active                               |
| tags             | []                                   |
| updated_at       | 2017-05-22T07:21:18Z                 |
| virtual_size     | None                                 |
| visibility       | private                              |
| vm_mode          | hvm                                  |
+------------------+--------------------------------------+
+------------------+--------------------------------------+
| Property         | Value                                |
+------------------+--------------------------------------+
| architecture     | x86_64                               |
| checksum         | b3196cd171a4821b0ba08ffc28455d83     |
| container_format | bare                                 |
| created_at       | 2017-05-22T07:21:19Z                 |
| disk_format      | qcow2                                |
| hw_disk_bus      | virtio                               |
| hw_vif_model     | virtio                               |
| hypervisor_type  | kvm                                  |
| id               | b63c7723-69a6-473d-9e6a-6f8d1b2fa948 |
| min_disk         | 0                                    |
| min_ram          | 1024                                 |
| name             | Auto-xen-rhel7.3-case13050-disk3     |
| os_distro        | rhel                                 |
| os_type          | linux                                |
| os_version       | 7.3                                  |
| owner            | 8295398c2db845d6ab8987f28a1f8657     |
| protected        | False                                |
| size             | 393216                               |
| status           | active                               |
| tags             | []                                   |
| updated_at       | 2017-05-22T07:21:19Z                 |
| virtual_size     | None                                 |
| visibility       | private                              |
| vm_mode          | hvm                                  |
+------------------+--------------------------------------+
+------------------+--------------------------------------+
| Property         | Value                                |
+------------------+--------------------------------------+
| architecture     | x86_64                               |
| checksum         | 96596d929b7fed5966a25c57d635f511     |
| container_format | bare                                 |
| created_at       | 2017-05-22T07:21:21Z                 |
| disk_format      | qcow2                                |
| hw_disk_bus      | virtio                               |
| hw_vif_model     | virtio                               |
| hypervisor_type  | kvm                                  |
| id               | 108675cf-4f71-4044-83f9-e9cf363aa00f |
| min_disk         | 0                                    |
| min_ram          | 1024                                 |
| name             | Auto-xen-rhel7.3-case13050-disk4     |
| os_distro        | rhel                                 |
| os_type          | linux                                |
| os_version       | 7.3                                  |
| owner            | 8295398c2db845d6ab8987f28a1f8657     |
| protected        | False                                |
| size             | 393216                               |
| status           | active                               |
| tags             | []                                   |
| updated_at       | 2017-05-22T07:21:21Z                 |
| virtual_size     | None                                 |
| visibility       | private                              |
| vm_mode          | hvm                                  |
+------------------+--------------------------------------+
[ 731.8] Finishing off

1.1.2 Launch the guest image which has os installed as instance at openstack and make the other three images of guest as volume. after the volumes finish creating, attach the volumes to the guest

1.1.3 Open the guest console and check, checkpoints are passed except existing bug 1374651 which has been fixed on rhel7.4


1.2.1 Convert a windows guest from esxi6.5 to glance by virt-v2v 
# virt-v2v -ic vpx://vsphere.local%5cAdministrator@10.73.73.27/ESX/ESXi6.5/10.73.72.129/?no_verify=1 s3-win2008r2-x64 -o glance --password-file /tmp/password
[   0.0] Opening the source -i libvirt -ic vpx://vsphere.local%5cAdministrator@10.73.73.27/ESX/ESXi6.5/10.73.72.129/?no_verify=1 s3-win2008r2-x64
[   1.5] Creating an overlay to protect the source from being modified
[   2.3] Initializing the target -o glance
[   3.5] Opening the overlay
[  17.4] Inspecting the overlay
[ 110.2] Checking for sufficient free disk space in the guest
[ 110.2] Estimating space required on target for each disk
[ 110.2] Converting Windows Server 2008 R2 Standard to run on KVM
virt-v2v: This guest has virtio drivers installed.
[ 127.7] Mapping filesystem data to avoid copying unused and blank areas
[ 128.8] Closing the overlay
[ 128.8] Checking if the guest needs BIOS or UEFI to boot
[ 128.8] Assigning disks to buses
[ 128.8] Copying disk 1/1 to /var/tmp/glance.MjeH5y/sda (raw)
    (100.00/100%)
[ 811.5] Creating output metadata
+------------------+--------------------------------------+
| Property         | Value                                |
+------------------+--------------------------------------+
| architecture     | x86_64                               |
| checksum         | 2112c6155b45a1986ae071d8a004cd56     |
| container_format | bare                                 |
| created_at       | 2017-05-22T07:48:54Z                 |
| disk_format      | raw                                  |
| hw_disk_bus      | virtio                               |
| hw_vif_model     | virtio                               |
| hypervisor_type  | kvm                                  |
| id               | 4f689343-c511-4bc0-b26c-204bb4d4cf5d |
| min_disk         | 0                                    |
| min_ram          | 1024                                 |
| name             | s3-win2008r2-x64                     |
| os_distro        | windows                              |
| os_type          | windows                              |
| os_version       | 6.1                                  |
| owner            | 8295398c2db845d6ab8987f28a1f8657     |
| protected        | False                                |
| size             | 21474836480                          |
| status           | active                               |
| tags             | []                                   |
| updated_at       | 2017-05-22T07:52:58Z                 |
| virtual_size     | None                                 |
| visibility       | private                              |
| vm_mode          | hvm                                  |
+------------------+--------------------------------------+
[1056.7] Finishing off

1.2.2 Launch the guest image as instance at openstack 

1.2.3 Open the guest console and check, checkpoints are passed except existing bug 1374651 which has been fixed on rhel7.4



Scenario2: virt-v2v conversion server is installed with qemu-kvm-rhev-2.6.0-28.el7_3.9

2.1.1 Convert a windows guest from xen server to glance by virt-v2v
# virt-v2v -ic xen+ssh://root@10.73.3.21 xen-hvm-win8-i386 -o glance -of qcow2
[   0.0] Opening the source -i libvirt -ic xen+ssh://root@10.73.3.21 xen-hvm-win8-i386
[   0.4] Creating an overlay to protect the source from being modified
[   0.9] Initializing the target -o glance
[   2.2] Opening the overlay
[   4.9] Inspecting the overlay
[   9.2] Checking for sufficient free disk space in the guest
[   9.2] Estimating space required on target for each disk
[   9.2] Converting Windows 8 Enterprise to run on KVM
virt-v2v: warning: there is no QXL driver for this version of Windows (6.2 
i386).  virt-v2v looks for this driver in /usr/share/virtio-win

The guest will be configured to use a basic VGA display driver.
virt-v2v: This guest has virtio drivers installed.
[  10.9] Mapping filesystem data to avoid copying unused and blank areas
[  12.3] Closing the overlay
[  12.3] Checking if the guest needs BIOS or UEFI to boot
[  12.3] Assigning disks to buses
[  12.3] Copying disk 1/1 to /var/tmp/glance.syLWPL/sda (qcow2)
    (100.00/100%)
[ 269.8] Creating output metadata
+------------------+--------------------------------------+
| Property         | Value                                |
+------------------+--------------------------------------+
| architecture     | x86_64                               |
| checksum         | b887679fecc3938032b1d7bdd519ade7     |
| container_format | bare                                 |
| created_at       | 2017-05-22T08:13:25Z                 |
| disk_format      | qcow2                                |
| hw_disk_bus      | virtio                               |
| hw_vif_model     | virtio                               |
| hypervisor_type  | kvm                                  |
| id               | 547ea5ad-b5a3-40a7-85bd-959661d6bfd5 |
| min_disk         | 0                                    |
| min_ram          | 1024                                 |
| name             | xen-hvm-win8-i386                    |
| os_distro        | windows                              |
| os_type          | windows                              |
| os_version       | 6.2                                  |
| owner            | 8295398c2db845d6ab8987f28a1f8657     |
| protected        | False                                |
| size             | 6780157952                           |
| status           | active                               |
| tags             | []                                   |
| updated_at       | 2017-05-22T08:14:38Z                 |
| virtual_size     | None                                 |
| visibility       | private                              |
| vm_mode          | hvm                                  |
+------------------+--------------------------------------+
[ 345.2] Finishing off

2.1.2 Launch the guest image as instance at openstack 

2.1.3 Open the guest console and checkpoints are passed 



2.2.1 Convert a linux guest from esxi6.5 to glance by virt-v2v 
# virt-v2v -ic vpx://vsphere.local%5cAdministrator@10.73.73.27/ESX/ESXi6.5/10.73.72.129/?no_verify=1 s3-rhel6.9-x64 -o glance --password-file /tmp/password
[   0.0] Opening the source -i libvirt -ic vpx://vsphere.local%5cAdministrator@10.73.73.27/ESX/ESXi6.5/10.73.72.129/?no_verify=1 s3-rhel6.9-x64
[   1.5] Creating an overlay to protect the source from being modified
[   2.3] Initializing the target -o glance
[   3.8] Opening the overlay
[  40.7] Inspecting the overlay
[ 165.6] Checking for sufficient free disk space in the guest
[ 165.6] Estimating space required on target for each disk
[ 165.6] Converting Red Hat Enterprise Linux Server release 6.9 (Santiago) to run on KVM
virt-v2v: This guest has virtio drivers installed.
[1329.6] Mapping filesystem data to avoid copying unused and blank areas
[1332.8] Closing the overlay
[1332.8] Checking if the guest needs BIOS or UEFI to boot
[1332.8] Assigning disks to buses
[1332.8] Copying disk 1/1 to /var/tmp/glance.ZagR8B/sda (raw)
    (100.00/100%)
[1526.9] Creating output metadata
+------------------+--------------------------------------+
| Property         | Value                                |
+------------------+--------------------------------------+
| architecture     | x86_64                               |
| checksum         | e8553f3d73a15b0222638f87c31ebb4a     |
| container_format | bare                                 |
| created_at       | 2017-05-22T08:31:28Z                 |
| disk_format      | raw                                  |
| hw_disk_bus      | virtio                               |
| hw_vif_model     | virtio                               |
| hypervisor_type  | kvm                                  |
| id               | c5d49fdb-cdd8-4b6d-a7c4-fa67f6b25916 |
| min_disk         | 0                                    |
| min_ram          | 1024                                 |
| name             | s3-rhel6.9-x64                       |
| os_distro        | rhel                                 |
| os_type          | linux                                |
| os_version       | 6.9                                  |
| owner            | 8295398c2db845d6ab8987f28a1f8657     |
| protected        | False                                |
| size             | 17179869184                          |
| status           | active                               |
| tags             | []                                   |
| updated_at       | 2017-05-22T08:34:37Z                 |
| virtual_size     | None                                 |
| visibility       | private                              |
| vm_mode          | hvm                                  |
+------------------+--------------------------------------+
[1720.9] Finishing off


2.2.2 Launch the guest image as instance at openstack 

2.2.3 Open the guest console and checkpoints, but failed to restart network service in rhel 6 guest due to network name of ifconfig is inconsistent with ifcfg-eth0

2.2.3.1 
#ifconfig
eth1      Link encap:Ethernet  HWaddr 24:BE:05:18:81:CE  
          inet addr:10.0.0.8  Bcast:10.0.0.255  Mask:255.255.252.0

2.2.3.2
#cat /etc/sysconfig/network-script/ifcfg-eth0
DEVICE=eth0
HWADDR=24:BE:05:18:81:CE
TYPE=Ethernet
UUID=a6764f33-65ed-413f-9265-fa732bf60acc
ONBOOT=yes
NM_CONTROLLED=yes
BOOTPROTO=dhcp

Hi rjones, 
   The problem of item 2.2.3 also could be reproduced on virt-v2v rhel7.4 builds, could I file a separate bug on rhel7.4 and move this bug to verified status?

Comment 6 Pino Toscano 2017-05-23 04:06:16 UTC
(In reply to mxie@redhat.com from comment #5)
>    The problem of item 2.2.3 also could be reproduced on virt-v2v rhel7.4
> builds, could I file a separate bug on rhel7.4 and move this bug to verified
> status?

Yes please -- although I suspect it is a very similar case (if not the same) as bug 1318922.

Comment 7 Richard W.M. Jones 2017-05-23 07:57:53 UTC
As Pino says, I'm sure it's the existing bug 1318922.

Comment 8 mxie@redhat.com 2017-05-24 10:50:33 UTC
Have bug 1455087 to track the problem of item 2.2.3 of comment5, so move the bug from ON_QA to VERIFIED

Comment 10 errata-xmlrpc 2017-06-28 17:00:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1609


Note You need to log in before you can comment on or make changes to this bug.